Debian Bug report logs - #483442
test fails in search_path(), so commands are not found

version graph

Package: cvsweb; Maintainer for cvsweb is Daniel Leidert (dale) <daniel.leidert@wgdd.de>; Source for cvsweb is src:cvsweb.

Reported by: "Deny IP Any Any" <denyipanyany@gmail.com>

Date: Wed, 28 May 2008 20:00:01 UTC

Severity: normal

Found in version cvsweb/3:3.0.6-3

Fixed in version cvsweb/3:3.0.6-4

Done: Daniel Leidert (dale) <daniel.leidert@wgdd.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Leidert (dale) <daniel.leidert@wgdd.de>:
Bug#483442; Package cvsweb. Full text and rfc822 format available.

Acknowledgement sent to "Deny IP Any Any" <denyipanyany@gmail.com>:
New Bug report received and forwarded. Copy sent to Daniel Leidert (dale) <daniel.leidert@wgdd.de>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Deny IP Any Any" <denyipanyany@gmail.com>
To: submit@bugs.debian.org
Subject: cvsweb Use of uninitialized value $scriptwhere in concatenation line 3980
Date: Wed, 28 May 2008 15:58:50 -0400
Package: cvsweb
Version: 3:3.0.6-3
Severity: normal

*** Please type your report below this line ***
A previously-working install of cvsweb broke recently; Now the cvsweb
interface give back an error of

Error: Failed to spawn GNU rlog on "/var/lib/rancid/CVS/routers/router.db,v".



The Apache2 Error logs show:

[Wed May 28 15:48:24 2008] [error] [client 10.5.60.10] Use of
uninitialized value $scriptwhere in concatenation (.) or string at
/var/www/cgi-bin/cvsweb.cgi line 3980.





-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-rc4 (SMP w/2 CPU cores)
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/bash

Versions of packages cvsweb depends on:
ii  apache [httpd]             1.3.34-4.1    versatile, high-performance HTTP s
ii  apache2                    2.2.8-3       Next generation, scalable, extenda
ii  apache2-mpm-prefork [httpd 2.2.8-3       Traditional model for Apache HTTPD
ii  cvs                        1:1.12.13-10  Concurrent Versions System
ii  libipc-run-perl            0.80-1        Perl module for running processes
ii  libmime-perl               5.426-1       transitional dummy package
ii  libmime-tools-perl [libmim 5.426-1       Perl5 modules for MIME-compliant m
ii  liburi-perl                1.35.dfsg.1-1 Manipulates and accesses URI strin
ii  rcs                        5.7-23        The GNU Revision Control System

cvsweb recommends no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Leidert (dale) <daniel.leidert@wgdd.de>:
Bug#483442; Package cvsweb. Full text and rfc822 format available.

Acknowledgement sent to Daniel Leidert <daniel.leidert@wgdd.de>:
Extra info received and forwarded to list. Copy sent to Daniel Leidert (dale) <daniel.leidert@wgdd.de>. Full text and rfc822 format available.

Message #10 received at 483442@bugs.debian.org (full text, mbox):

From: Daniel Leidert <daniel.leidert@wgdd.de>
To: 483442@bugs.debian.org
Cc: 483442-submitter@bugs.debian.org
Subject: Re: Bug#483442: cvsweb Use of uninitialized value $scriptwhere in concatenation line 3980
Date: Thu, 29 May 2008 13:36:10 +0200
Am Mittwoch, den 28.05.2008, 15:58 -0400 schrieb Deny IP Any Any:

> A previously-working install of cvsweb broke recently; Now the cvsweb
> interface give back an error of
> 
> Error: Failed to spawn GNU rlog on "/var/lib/rancid/CVS/routers/router.db,v".

Because cvsweb did not change: What did change on your system - package
updates or configuration changes? In the first case: Do you know, when
cvsweb broke and can you send me the dpkg.log for this day?

Regards, Daniel





Message sent on to "Deny IP Any Any" <denyipanyany@gmail.com>:
Bug#483442. Full text and rfc822 format available.

Information stored:
Bug#483442; Package cvsweb. Full text and rfc822 format available.

Acknowledgement sent to "Deny IP Any Any" <denyipanyany@gmail.com>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #18 received at 483442-quiet@bugs.debian.org (full text, mbox):

From: "Deny IP Any Any" <denyipanyany@gmail.com>
To: "Daniel Leidert" <daniel.leidert@wgdd.de>, 483442-quiet@bugs.debian.org
Subject: Re: Bug#483442: cvsweb Use of uninitialized value $scriptwhere in concatenation line 3980
Date: Thu, 29 May 2008 09:02:20 -0400
On Thu, May 29, 2008 at 7:36 AM, Daniel Leidert <daniel.leidert@wgdd.de> wrote:
>
> Because cvsweb did not change: What did change on your system - package
> updates or configuration changes? In the first case: Do you know, when
> cvsweb broke and can you send me the dpkg.log for this day?
>
> Regards, Daniel
>

I have downgraded my Perl from 5.10 back to 5.8, and now cvsweb works
again. So something in Perl 5.10 breaks cvsweb.


-- 
deny ip any any (4393649193 matches)




Changed Bug title to `test fails in search_path(), so commands are not found' from `cvsweb Use of uninitialized value $scriptwhere in concatenation line 3980'. Request was from Daniel Leidert (dale) <daniel.leidert@wgdd.de> to control@bugs.debian.org. (Thu, 29 May 2008 14:30:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Leidert (dale) <daniel.leidert@wgdd.de>:
Bug#483442; Package cvsweb. Full text and rfc822 format available.

Acknowledgement sent to "Daniel Leidert" <daniel.leidert@wgdd.de>:
Extra info received and forwarded to list. Copy sent to Daniel Leidert (dale) <daniel.leidert@wgdd.de>. Full text and rfc822 format available.

Message #25 received at 483442@bugs.debian.org (full text, mbox):

From: "Daniel Leidert" <daniel.leidert@wgdd.de>
To: 483442@bugs.debian.org
Cc: 483442-submitter@bugs.debian.org
Subject: Re: Bug#483442: cvsweb Use of uninitialized value $scriptwhere in concatenation line 3980
Date: Thu, 29 May 2008 16:40:02 +0200 (CEST)
Deny IP Any Any wrote:
> On Thu, May 29, 2008 at 7:36 AM, Daniel Leidert <daniel.leidert@wgdd.de> wrote:
>>
>> Because cvsweb did not change: What did change on your system - package
>> updates or configuration changes? In the first case: Do you know, when
>> cvsweb broke and can you send me the dpkg.log for this day?
>>
>
> I have downgraded my Perl from 5.10 back to 5.8, and now cvsweb works
> again. So something in Perl 5.10 breaks cvsweb.

Thanks for the information.

In the meantime I was able to track the issue down to search_paths(), which tries to
ensure, that a command exists and is executable. And this seems to fail now. I'm not
yet sure why. Will examine it. Could be a permission issue, but I'm in doubt of this.

For a quick and dirty solution, change the -x in the test to be -X, if you rely on
this interface.

Regards, Daniel





Message sent on to "Deny IP Any Any" <denyipanyany@gmail.com>:
Bug#483442. Full text and rfc822 format available.

Information stored:
Bug#483442; Package cvsweb. Full text and rfc822 format available.

Acknowledgement sent to "Deny IP Any Any" <denyipanyany@gmail.com>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #33 received at 483442-quiet@bugs.debian.org (full text, mbox):

From: "Deny IP Any Any" <denyipanyany@gmail.com>
To: "Daniel Leidert" <daniel.leidert@wgdd.de>, 483442-quiet@bugs.debian.org
Subject: Re: Bug#483442: cvsweb Use of uninitialized value $scriptwhere in concatenation line 3980
Date: Thu, 29 May 2008 10:51:23 -0400
On Thu, May 29, 2008 at 10:40 AM, Daniel Leidert <daniel.leidert@wgdd.de> wrote:
>> I have downgraded my Perl from 5.10 back to 5.8, and now cvsweb works
>> again. So something in Perl 5.10 breaks cvsweb.
>
>
> In the meantime I was able to track the issue down to search_paths(), which tries to
> ensure, that a command exists and is executable. And this seems to fail now. I'm not
> yet sure why. Will examine it. Could be a permission issue, but I'm in doubt of this.
>
> For a quick and dirty solution, change the -x in the test to be -X, if you rely on
> this interface.
>
> Regards, Daniel
>

Confirmed; changing the -x to -X on line 1722 of cvsweb makes it work
again with Perl 5.10. Thanks so much for the quick work-around!


-- 
deny ip any any (4393651193 matches)




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Leidert (dale) <daniel.leidert@wgdd.de>:
Bug#483442; Package cvsweb. Full text and rfc822 format available.

Acknowledgement sent to "Brendan O'Dea" <bod@c47.org>:
Extra info received and forwarded to list. Copy sent to Daniel Leidert (dale) <daniel.leidert@wgdd.de>. Full text and rfc822 format available.

Message #38 received at 483442@bugs.debian.org (full text, mbox):

From: "Brendan O'Dea" <bod@c47.org>
To: "Daniel Leidert" <daniel.leidert.spam@gmx.net>
Cc: debian-perl@lists.debian.org, 483442@bugs.debian.org
Subject: Re: RFH: cvsweb - test -x fails with Perl 5.10
Date: Sat, 31 May 2008 00:57:39 +1000
On Fri, May 30, 2008 at 10:10 AM, Daniel Leidert
<daniel.leidert.spam@gmx.net> wrote:
> And real and effective UID are the same. So why does -x fail? Any idea?
> It cannot be a general bug, because a small test script prints the
> correct result.

Right.  I've attempted pretty much every combination of user and/or
other executable bits, running with $< == $> or $< != $> and I cannot
discern any -x/-X behavioural difference b/w 5.8 and 5.10.

More information required.  Can you replicate the problem outside of
apache (i.e. calling the cvsweb.cgi from the command line)?




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Leidert (dale) <daniel.leidert@wgdd.de>:
Bug#483442; Package cvsweb. Full text and rfc822 format available.

Acknowledgement sent to Daniel Leidert <daniel.leidert.spam@gmx.net>:
Extra info received and forwarded to list. Copy sent to Daniel Leidert (dale) <daniel.leidert@wgdd.de>. Full text and rfc822 format available.

Message #43 received at 483442@bugs.debian.org (full text, mbox):

From: Daniel Leidert <daniel.leidert.spam@gmx.net>
To: Brendan O'Dea <bod@c47.org>, 483442@bugs.debian.org
Cc: debian-perl@lists.debian.org
Subject: Re: Bug#483442: RFH: cvsweb - test -x fails with Perl 5.10
Date: Fri, 30 May 2008 19:59:43 +0200
Am Samstag, den 31.05.2008, 00:57 +1000 schrieb Brendan O'Dea:
> On Fri, May 30, 2008 at 10:10 AM, Daniel Leidert
> <daniel.leidert.spam@gmx.net> wrote:
> > And real and effective UID are the same. So why does -x fail? Any idea?
> > It cannot be a general bug, because a small test script prints the
> > correct result.
> 
> Right.  I've attempted pretty much every combination of user and/or
> other executable bits, running with $< == $> or $< != $> and I cannot
> discern any -x/-X behavioural difference b/w 5.8 and 5.10.
> 
> More information required.  Can you replicate the problem outside of
> apache (i.e. calling the cvsweb.cgi from the command line)?

Yes. I added some DEBUG statements to the search_path() function. If I
run it from the command line (you can test it yourself), I receive:

[..]
DEBUG search_path(): command=cvs
DEBUG search_path(): euid=....
DEBUG search_path(): command=cvs, d=/bin
DEBUG search_path(): cmd=/bin/cvs
DEBUG search_path(): command=cvs, d=/usr/bin
DEBUG search_path(): cmd=/usr/bin/cvs
DEBUG search_path(): command=cvs, d=/usr/local/bin
DEBUG search_path(): cmd=/usr/local/bin/cvs
DEBUG search_path(): not successful for command=cvs
[..]

The last DEBUG statement is output after leaving the for-loop in
search_path. Here my debug-statements to be more verbose:

> sub search_path($)
> {
>   my ($command) = @_;
>   print STDERR "DEBUG search_path(): command=$command\n";
>   print STDERR "DEBUG search_path(): euid=$>, egid=$(, ruid=$<, rgid=$)\n";
>   for my $d (@command_path) {
>     print STDERR "DEBUG search_path(): command=$command, d=$d\n";
>     my $cmd = catfile($d, $command);
>     print STDERR "DEBUG search_path(): cmd=$cmd\n";
>     return $cmd if (-x $cmd && !-d _);
>   }
>   print STDERR "DEBUG search_path(): not successful for command=$command\n";
>   return '';
> }

Changing the -x to be -X works.

Regards, Daniel





Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Leidert (dale) <daniel.leidert@wgdd.de>:
Bug#483442; Package cvsweb. Full text and rfc822 format available.

Acknowledgement sent to Daniel Leidert <daniel.leidert.spam@gmx.net>:
Extra info received and forwarded to list. Copy sent to Daniel Leidert (dale) <daniel.leidert@wgdd.de>. Full text and rfc822 format available.

Message #48 received at 483442@bugs.debian.org (full text, mbox):

From: Daniel Leidert <daniel.leidert.spam@gmx.net>
To: Brendan O'Dea <bod@c47.org>
Cc: 483442@bugs.debian.org, debian-perl@lists.debian.org
Subject: Re: Bug#483442: RFH: cvsweb - test -x fails with Perl 5.10
Date: Fri, 30 May 2008 20:31:08 +0200
Am Freitag, den 30.05.2008, 19:59 +0200 schrieb Daniel Leidert:

> > sub search_path($)
> > {
> >   my ($command) = @_;
> >   print STDERR "DEBUG search_path(): command=$command\n";
> >   print STDERR "DEBUG search_path(): euid=$>, egid=$(, ruid=$<, rgid=$)\n";
> >   for my $d (@command_path) {
> >     print STDERR "DEBUG search_path(): command=$command, d=$d\n";
> >     my $cmd = catfile($d, $command);
> >     print STDERR "DEBUG search_path(): cmd=$cmd\n";
> >     return $cmd if (-x $cmd && !-d _);
> >   }
> >   print STDERR "DEBUG search_path(): not successful for command=$command\n";
> >   return '';
> > }
> 
> Changing the -x to be -X works.

I now found, that using

if (!-d $cmd && -x _)

works. But

if ((!-d $cmd) && (-x $cmd))
if ((-x $cmd) && (!-d _))

do not work, whereas

if ((!-d $cmd) && (-x _))

again does work. Am I a blockhead? I think, they all should work.

Regards, Daniel





Tags added: pending Request was from Daniel Leidert (dale) <daniel.leidert@wgdd.de> to control@bugs.debian.org. (Fri, 30 May 2008 19:12:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Leidert (dale) <daniel.leidert@wgdd.de>:
Bug#483442; Package cvsweb. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Leidert (dale) <daniel.leidert@wgdd.de>. Full text and rfc822 format available.

Message #55 received at 483442@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: debian-perl@lists.debian.org
Cc: 483442@bugs.debian.org
Subject: Re: RFH: cvsweb - test -x fails with Perl 5.10
Date: Fri, 30 May 2008 23:16:27 +0300
On Thu, May 29, 2008 at 04:31:11PM +0200, Daniel Leidert wrote:
 
> A user reported an issue with cvsweb in http://bugs.debian.org/483442. I
> was able to track it down to be in search_path(). This function takes a
> command as argument and tries with a list of paths, if $path/$command is
> executable (-x) and not a directory (!-d).
> 
> Now this test fails with Perl 5.10, although cvsweb has all-executable
> permissions. Anybody an idea, why this fails? Using -X instead of -x
> seems to work for the moment. But testing on the effective uid/gid IMHO
> is the correct choice here.

This is <http://rt.perl.org/rt3/Public/Bug/Display.html?id=49003>,
fixed upstream after 5.10.0. It only happens with 'use filetest
qw(access)'. Looks like we'll have to backport the fix, I'll clone
the bug to track that.

As a side note, the stat result cache "_" and 'use filetest qw(access)'
don't mix well together. See 'perldoc filetest'.
-- 
Niko Tyni   ntyni@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Leidert (dale) <daniel.leidert@wgdd.de>:
Bug#483442; Package cvsweb. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Leidert (dale) <daniel.leidert@wgdd.de>. Full text and rfc822 format available.

Message #60 received at 483442@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: 483442@bugs.debian.org
Subject: Re: RFH: cvsweb - test -x fails with Perl 5.10
Date: Fri, 30 May 2008 23:23:36 +0300
[Message part 1 (text/plain, inline)]
clone 483442 -1
reassign -1 perl 5.10.0-10
retitle -1 -x is broken with 'use filetest q/access/'
severity -1 important
tag -1 = patch fixed-upstream
submitter -1 !
thanks

On Fri, May 30, 2008 at 11:16:27PM +0300, Niko Tyni wrote:
> On Thu, May 29, 2008 at 04:31:11PM +0200, Daniel Leidert wrote:
>  
> > A user reported an issue with cvsweb in http://bugs.debian.org/483442. I
> > was able to track it down to be in search_path(). This function takes a
> > command as argument and tries with a list of paths, if $path/$command is
> > executable (-x) and not a directory (!-d).
> > 
> > Now this test fails with Perl 5.10, although cvsweb has all-executable
> > permissions. Anybody an idea, why this fails? Using -X instead of -x
> > seems to work for the moment. But testing on the effective uid/gid IMHO
> > is the correct choice here.
> 
> This is <http://rt.perl.org/rt3/Public/Bug/Display.html?id=49003>,
> fixed upstream after 5.10.0. It only happens with 'use filetest
> qw(access)'. Looks like we'll have to backport the fix, I'll clone
> the bug to track that.

Here we go. Patch from upstream change 32874 attached.
-- 
Niko Tyni   ntyni@debian.org
[access-x.patch (text/x-diff, attachment)]

Bug 483442 cloned as bug 483734. Request was from Niko Tyni <ntyni@debian.org> to control@bugs.debian.org. (Fri, 30 May 2008 20:24:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Leidert (dale) <daniel.leidert@wgdd.de>:
Bug#483442; Package cvsweb. Full text and rfc822 format available.

Acknowledgement sent to Daniel Leidert <daniel.leidert.spam@gmx.net>:
Extra info received and forwarded to list. Copy sent to Daniel Leidert (dale) <daniel.leidert@wgdd.de>. Full text and rfc822 format available.

Message #67 received at 483442@bugs.debian.org (full text, mbox):

From: Daniel Leidert <daniel.leidert.spam@gmx.net>
To: Niko Tyni <ntyni@debian.org>, 483442@bugs.debian.org
Cc: debian-perl@lists.debian.org
Subject: Re: Bug#483442: RFH: cvsweb - test -x fails with Perl 5.10
Date: Sat, 31 May 2008 02:11:46 +0200
Am Freitag, den 30.05.2008, 23:16 +0300 schrieb Niko Tyni:
> On Thu, May 29, 2008 at 04:31:11PM +0200, Daniel Leidert wrote:
>  
> > A user reported an issue with cvsweb in http://bugs.debian.org/483442. I
> > was able to track it down to be in search_path(). This function takes a
> > command as argument and tries with a list of paths, if $path/$command is
> > executable (-x) and not a directory (!-d).
> > 
> > Now this test fails with Perl 5.10, although cvsweb has all-executable
> > permissions. Anybody an idea, why this fails? Using -X instead of -x
> > seems to work for the moment. But testing on the effective uid/gid IMHO
> > is the correct choice here.
> 
> This is <http://rt.perl.org/rt3/Public/Bug/Display.html?id=49003>,
> fixed upstream after 5.10.0. It only happens with 'use filetest
> qw(access)'. Looks like we'll have to backport the fix, I'll clone
> the bug to track that.

Many thanks for this information.

> As a side note, the stat result cache "_" and 'use filetest qw(access)'
> don't mix well together. See 'perldoc filetest'.

You are right. Then I can just use -X instead of -x as long as the issue
is not fixed in Perl.

Regards, Daniel





Reply sent to Daniel Leidert (dale) <daniel.leidert@wgdd.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Deny IP Any Any" <denyipanyany@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #72 received at 483442-close@bugs.debian.org (full text, mbox):

From: Daniel Leidert (dale) <daniel.leidert@wgdd.de>
To: 483442-close@bugs.debian.org
Subject: Bug#483442: fixed in cvsweb 3:3.0.6-4
Date: Tue, 03 Jun 2008 22:47:03 +0000
Source: cvsweb
Source-Version: 3:3.0.6-4

We believe that the bug you reported is fixed in the latest version of
cvsweb, which is due to be installed in the Debian FTP archive:

cvsweb_3.0.6-4.diff.gz
  to pool/main/c/cvsweb/cvsweb_3.0.6-4.diff.gz
cvsweb_3.0.6-4.dsc
  to pool/main/c/cvsweb/cvsweb_3.0.6-4.dsc
cvsweb_3.0.6-4_all.deb
  to pool/main/c/cvsweb/cvsweb_3.0.6-4_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 483442@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Leidert (dale) <daniel.leidert@wgdd.de> (supplier of updated cvsweb package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 03 Jun 2008 01:57:25 +0200
Source: cvsweb
Binary: cvsweb
Architecture: source all
Version: 3:3.0.6-4
Distribution: unstable
Urgency: low
Maintainer: Daniel Leidert (dale) <daniel.leidert@wgdd.de>
Changed-By: Daniel Leidert (dale) <daniel.leidert@wgdd.de>
Description: 
 cvsweb     - CGI interface to your CVS repository
Closes: 483442 484158 484159
Changes: 
 cvsweb (3:3.0.6-4) unstable; urgency=low
 .
   * debian/control (Depends): libmime-perl is a transitional package - added
     libmime-tools-perl.
     (Suggests): Added optional libmime-types-perl and libcompress-zlib-perl.
   * debian/copyright: Updated.
   * debian/cvsweb.1: Added information about per-cvsroot configuration file
     and fixed the configuration file path.
   * debian/patches/10_483442_fix_perl_510_test_failure.dpatch: Added.
     - cvsweb.cgi (search_path): Revert test order as a quick and dirty fix for
       the test failing with Perl 5.10 (closes: #483442).
   * debian/patches/11_484158_fix_scriptwhere_initialization.dpatch: Added.
     - cvsweb.cgi: scriptwhere should be itialized (closes: #484158). Thanks to
       Joey Schulze.
   * debian/patches/12_484159_fix_character_in_c_format_wrapped.dpatch: Added.
     - cvsweb.cgi (TIEHANDLE): Fix template format for gzip header (closes:
       #484159). Thanks to Joey Schulze.
   * debian/patches/00list: Adjusted.
Checksums-Sha1: 
 c44b4adaa4f449d527020d8ad20f08ccccb6515a 1025 cvsweb_3.0.6-4.dsc
 a571e298214fec818d46ef3231af7909d3603b44 12453 cvsweb_3.0.6-4.diff.gz
 388cfa19ba9fb1d94f1bd282a90306af24f8eea2 67054 cvsweb_3.0.6-4_all.deb
Checksums-Sha256: 
 c52e2e58671ff6d7db30b3bceb3d8ead166065d3699928fd31138657b0b9bd40 1025 cvsweb_3.0.6-4.dsc
 a8c198a074eee53de39f492aad182049a6bf87c23178380011a9fae0ae6ef761 12453 cvsweb_3.0.6-4.diff.gz
 118c216144bd3c2bce1dc32156d36b1d023effbba3b694f00762ed0e9643d388 67054 cvsweb_3.0.6-4_all.deb
Files: 
 29a7dd7087b595b5a5e106be29e2f932 1025 devel optional cvsweb_3.0.6-4.dsc
 2cb48c4cb083f3de2f39601dcb6c7f81 12453 devel optional cvsweb_3.0.6-4.diff.gz
 00ac57bfc77b612379639d7c8d4bf5a4 67054 devel optional cvsweb_3.0.6-4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.1 (GNU/Linux)

iD8DBQFIRcgMmHaJYZ7RAb8RAksIAKCtpo38I7D4qpHrjn/dJUZEC9wqzwCgoy0A
W6gqXW5JInscikuA9li+AcQ=
=zPYB
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 13 Jul 2008 07:32:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 09:28:21 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.